Accepting request 588545 from Base:System
- Use %license instead of %doc [bsc#1082318] (forwarded request 588503 from kukuk) OBS-URL: https://build.opensuse.org/request/show/588545 OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/dracut?expand=0&rev=123
This commit is contained in:
commit
73090d2980
29
0559-Add-wickedd-duid.xml-and-iaid.xml-if-available.patch
Normal file
29
0559-Add-wickedd-duid.xml-and-iaid.xml-if-available.patch
Normal file
@ -0,0 +1,29 @@
|
||||
From 657315ab800d894691b8165329fa6b234a073d6f Mon Sep 17 00:00:00 2001
|
||||
From: Daniel Molkentin <dmolkentin@suse.com>
|
||||
Date: Wed, 28 Feb 2018 13:40:24 +0100
|
||||
Subject: [PATCH] Add wickedd duid.xml and iaid.xml if available
|
||||
|
||||
This allows to present the same identity to the dhcp server, and
|
||||
thus retaining the IP address assigned during initrd phase in the
|
||||
regular system.
|
||||
|
||||
Reference: bsc#1022872, bsc#1082832
|
||||
---
|
||||
modules.d/40network/module-setup.sh | 1 +
|
||||
1 file changed, 1 insertion(+)
|
||||
|
||||
diff --git a/modules.d/40network/module-setup.sh b/modules.d/40network/module-setup.sh
|
||||
index f99ca44c..2dd3630c 100755
|
||||
--- a/modules.d/40network/module-setup.sh
|
||||
+++ b/modules.d/40network/module-setup.sh
|
||||
@@ -61,6 +61,7 @@ install() {
|
||||
inst_multiple /etc/sysconfig/network/ifcfg-*
|
||||
inst_multiple -o /etc/sysconfig/network/ifroute-*
|
||||
inst_simple /etc/sysconfig/network/routes
|
||||
+ inst_multiple -o /var/lib/wicked/duid.xml /var/lib/wicked/iaid.xml
|
||||
}
|
||||
|
||||
inst_libdir_file {"tls/$_arch/",tls/,"$_arch/",}"libnss_dns.so.*" \
|
||||
--
|
||||
2.13.6
|
||||
|
@ -0,0 +1,29 @@
|
||||
From aeee703cca60faf8ca41d21529d37738822576aa Mon Sep 17 00:00:00 2001
|
||||
From: Daniel Molkentin <dmolkentin@suse.com>
|
||||
Date: Thu, 1 Mar 2018 10:37:47 +0100
|
||||
Subject: [PATCH] 90kernel-modules: Ensure PCI host modules are included
|
||||
|
||||
The includes modules like the Intel Volume Management Device
|
||||
driver, which is required to boot from disk on some systems.
|
||||
|
||||
Reference: boo#1079924
|
||||
---
|
||||
modules.d/90kernel-modules/module-setup.sh | 2 ++
|
||||
1 file changed, 2 insertions(+)
|
||||
|
||||
diff --git a/modules.d/90kernel-modules/module-setup.sh b/modules.d/90kernel-modules/module-setup.sh
|
||||
index e1880725..41610a24 100755
|
||||
--- a/modules.d/90kernel-modules/module-setup.sh
|
||||
+++ b/modules.d/90kernel-modules/module-setup.sh
|
||||
@@ -45,6 +45,8 @@ installkernel() {
|
||||
# ensure early availability for e.g. emmc phys
|
||||
instmods "=drivers/phy"
|
||||
|
||||
+ instmods "=drivers/pci/host"
|
||||
+
|
||||
instmods \
|
||||
"=drivers/hid" \
|
||||
"=drivers/input/serio" \
|
||||
--
|
||||
2.13.6
|
||||
|
40
0561-Add-the-qedi-driver-to-driver-list-for-iscsi-boot.patch
Normal file
40
0561-Add-the-qedi-driver-to-driver-list-for-iscsi-boot.patch
Normal file
@ -0,0 +1,40 @@
|
||||
From 36ffd889434463968da7f3fd16c53f781adf460f Mon Sep 17 00:00:00 2001
|
||||
From: Lee Duncan <lduncan@suse.com>
|
||||
Date: Tue, 6 Mar 2018 10:17:30 -0800
|
||||
Subject: [PATCH] Add the qedi driver to driver list for iscsi boot
|
||||
|
||||
Reference: bsc#1084179
|
||||
---
|
||||
modules.d/95iscsi/module-setup.sh | 2 +-
|
||||
modules.d/95iscsi/parse-iscsiroot.sh | 2 +-
|
||||
2 files changed, 2 insertions(+), 2 deletions(-)
|
||||
|
||||
diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
|
||||
index a6173f7b..7c5b3099 100755
|
||||
--- a/modules.d/95iscsi/module-setup.sh
|
||||
+++ b/modules.d/95iscsi/module-setup.sh
|
||||
@@ -179,7 +179,7 @@ depends() {
|
||||
installkernel() {
|
||||
local _arch=$(uname -m)
|
||||
|
||||
- instmods bnx2i qla4xxx cxgb3i cxgb4i be2iscsi
|
||||
+ instmods bnx2i qla4xxx cxgb3i cxgb4i be2iscsi qedi
|
||||
hostonly="" instmods iscsi_tcp iscsi_ibft crc32c iscsi_boot_sysfs
|
||||
iscsi_module_filter() {
|
||||
local _funcs='iscsi_register_transport'
|
||||
diff --git a/modules.d/95iscsi/parse-iscsiroot.sh b/modules.d/95iscsi/parse-iscsiroot.sh
|
||||
index 43b2e088..f884e684 100755
|
||||
--- a/modules.d/95iscsi/parse-iscsiroot.sh
|
||||
+++ b/modules.d/95iscsi/parse-iscsiroot.sh
|
||||
@@ -96,7 +96,7 @@ fi
|
||||
|
||||
initqueue --unique --onetime --timeout /sbin/iscsiroot timeout "$netroot" "$NEWROOT"
|
||||
|
||||
-initqueue --onetime modprobe --all -b -q qla4xxx cxgb3i cxgb4i bnx2i be2iscsi
|
||||
+initqueue --onetime modprobe --all -b -q qla4xxx cxgb3i cxgb4i bnx2i be2iscsi qedi
|
||||
|
||||
# ISCSI actually supported?
|
||||
if ! [ -e /sys/module/iscsi_tcp ]; then
|
||||
--
|
||||
2.13.6
|
||||
|
227
0562-Adjust-driver-list-to-modern-kernels.patch
Normal file
227
0562-Adjust-driver-list-to-modern-kernels.patch
Normal file
@ -0,0 +1,227 @@
|
||||
From 1229cbc091ac11434b0b628d58630ce4c8fbe8e3 Mon Sep 17 00:00:00 2001
|
||||
From: Daniel Molkentin <daniel.molkentin@suse.com>
|
||||
Date: Wed, 9 Dec 2015 14:14:46 +0100
|
||||
Subject: [PATCH] Adjust driver list to modern kernels
|
||||
|
||||
This particularly enables aarch64 and adds critical drivers of ARM platform.
|
||||
|
||||
Reference: bsc#1084272
|
||||
|
||||
Full change summary of upstream changes included:
|
||||
|
||||
kernel-modules: include all HID driver in hostonly mode
|
||||
|
||||
If a kernel is updated in the undocked state and later on docked, some
|
||||
keyboard modules can be missing.
|
||||
|
||||
Thus include all HID drivers.
|
||||
|
||||
(cherry picked from commit 8d26b5661ea2fd9fb41c83048b7590e44b1c95df)
|
||||
|
||||
kernel-modules: add usb-storage
|
||||
|
||||
To save the rdsosreport.txt to a USB stick, the usb-storage module is
|
||||
needed
|
||||
|
||||
(cherry picked from commit b4dd861a0b916368bad9413fdc5d90482fcbd65a)
|
||||
|
||||
kernel-modules: join instmods and install all usb/storage
|
||||
|
||||
(cherry picked from commit 6bc2096cf58c4b52f23ecc1bf8dc301d6122dfb5)
|
||||
|
||||
kernel-modules: add nvme kernel module
|
||||
|
||||
(cherry picked from commit a84c391b8771e0238a0edb8b382ecbf7f2d2bfd3)
|
||||
|
||||
modules: kernel: add phy and power modules to generic initrd
|
||||
|
||||
The phy and power modules are needed by some of the recent ARM
|
||||
devices that have appeared like CHIP and some exynos devices.
|
||||
|
||||
Signed-off-by: Peter Robinson <pbrobinson@gmail.com>
|
||||
(cherry picked from commit e752d42de9c37dd9906a802a5cdf528fbd360453)
|
||||
|
||||
modules: kernel: add more usb controller modules
|
||||
|
||||
There's a number of usb controllers that are common yet aren't
|
||||
contained in the host directory. Include these for generic host.
|
||||
|
||||
Signed-off-by: Peter Robinson <pbrobinson@gmail.com>
|
||||
(cherry picked from commit 0c5e5f271be8cb99e4f65fd6cb37ed70dd63754d)
|
||||
|
||||
dracut: Add drivers/clk by default on arm
|
||||
|
||||
This will bundle clock drivers into the initramfs on arm
|
||||
|
||||
Tested on ti dm8148-t410 where adpll is needed on 4.6+ kernel
|
||||
This will avoid to rely on (maybe broken) bootloader clocks.
|
||||
|
||||
Theses modules are also usually loaded early. Having them bundled into
|
||||
the initramfs will avoid lot of deferred probes and others delay.
|
||||
|
||||
Signed-off-by: Nicolas Chauvet <kwizart@gmail.com>
|
||||
(cherry picked from commit 2602a74edf543f98f2aa1eb79db3de3a1cda13f0)
|
||||
|
||||
Add check for aarch64 to the arm kernel module list
|
||||
|
||||
This adds the same list of drivers we use for arm platforms for
|
||||
aarch64 too, also add the DMA drivers there too as they can add
|
||||
sigficant performance for some storage/usb and often need to be
|
||||
present when the storage drivers load.
|
||||
|
||||
Signed-off-by: Peter Robinson <pbrobinson@gmail.com>
|
||||
(cherry picked from commit 917e1b6b5b2669a30bce69061686adbb6abc5e35)
|
||||
|
||||
module-setup.sh: Add ARM specific driver to initramfs image
|
||||
|
||||
If a hisi_sas storage device is used as / during system install, the
|
||||
resulting installation will not boot because the hisi_sas driver is not
|
||||
included in the initramfs.
|
||||
|
||||
The Hisilicon storage driver needs to be added to the initramfs image for
|
||||
aarch64 kernels.
|
||||
|
||||
Signed-off-by: Prarit Bhargava <prarit@redhat.com>
|
||||
Cc: dzickus@redhat.com
|
||||
Cc: dmarlin@redhat.com
|
||||
Cc: wefu@redhat.com
|
||||
Cc: harald@redhat.com
|
||||
(cherry picked from commit fd24c90c363109e1693161a5d5c51190bb99cd29)
|
||||
|
||||
kernel-modules: add serial line drivers
|
||||
|
||||
(cherry picked from commit c1699b59c6ec0c86f1355fbb68eaf65281b81789)
|
||||
|
||||
add options to pickup dw_mmc submodules to blockfuncs
|
||||
|
||||
Signed-off-by: Peter Robinson <pbrobinson@gmail.com>
|
||||
(cherry picked from commit f496af50b7c5ddf13154123186cee713f540c8db)
|
||||
|
||||
arm: add soc/extcon/mfd as they're often needed for USB and core memory/soc drivers
|
||||
|
||||
Signed-off-by: Peter Robinson <pbrobinson@gmail.com>
|
||||
(cherry picked from commit 39018c93c2bcf20a7f5f9ee509ad1c0448d598f7)
|
||||
|
||||
Add rpmsg, hwspinlock and usb/misc for ARM
|
||||
|
||||
Some of the more complex devices now need rpmsg and hwspinlock in the early boot
|
||||
process to start, and these to the initrd, and pull in usb/misc because
|
||||
apparently non standard usb hubs are a thing.
|
||||
|
||||
Signed-off-by: Peter Robinson <pbrobinson@gmail.com>
|
||||
(cherry picked from commit 82651e9ef3c4c799281ba006f6ef46902e13086f)
|
||||
|
||||
kernel-modules: add mmc/core for arm
|
||||
|
||||
(cherry picked from commit f8e0c7cc6296909cff92f718ed360ff9ef1f7bae)
|
||||
|
||||
Add aarch64 to drm modules along side ARM
|
||||
|
||||
Add aarch64 to modules, also update the drivers checked for latest
|
||||
kernel changes.
|
||||
|
||||
Signed-off-by: Peter Robinson <pbrobinson@gmail.com>
|
||||
(cherry picked from commit eec49634d4fd5b2d9535a99e184c2450f6026903)
|
||||
---
|
||||
modules.d/50drm/module-setup.sh | 6 ++--
|
||||
modules.d/90kernel-modules/module-setup.sh | 47 ++++++++++++++++++++----------
|
||||
2 files changed, 34 insertions(+), 19 deletions(-)
|
||||
|
||||
diff --git a/modules.d/50drm/module-setup.sh b/modules.d/50drm/module-setup.sh
|
||||
index 1e2ada07..3e03a5d9 100755
|
||||
--- a/modules.d/50drm/module-setup.sh
|
||||
+++ b/modules.d/50drm/module-setup.sh
|
||||
@@ -49,14 +49,14 @@ installkernel() {
|
||||
return 0
|
||||
}
|
||||
|
||||
- if [[ "$(uname -p)" == arm* ]]; then
|
||||
- # arm specific modules needed by drm
|
||||
+ if [[ "$(uname -m)" == arm* || "$(uname -m)" == aarch64 ]]; then
|
||||
+ # arm/aarch64 specific modules needed by drm
|
||||
instmods \
|
||||
"=drivers/gpu/drm/i2c" \
|
||||
"=drivers/gpu/drm/panel" \
|
||||
+ "=drivers/gpu/drm/bridge" \
|
||||
"=drivers/pwm" \
|
||||
"=drivers/video/backlight" \
|
||||
- "=drivers/video/fbdev/omap2/displays-new" \
|
||||
${NULL}
|
||||
fi
|
||||
|
||||
diff --git a/modules.d/90kernel-modules/module-setup.sh b/modules.d/90kernel-modules/module-setup.sh
|
||||
index 41610a24..37cc76f3 100755
|
||||
--- a/modules.d/90kernel-modules/module-setup.sh
|
||||
+++ b/modules.d/90kernel-modules/module-setup.sh
|
||||
@@ -39,37 +39,52 @@ installkernel() {
|
||||
ehci-hcd ehci-pci ehci-platform \
|
||||
ohci-hcd ohci-pci \
|
||||
uhci-hcd \
|
||||
- xhci-hcd xhci-pci xhci-plat-hcd \
|
||||
pinctrl-cherryview pwm-lpss pwm-lpss-platform
|
||||
|
||||
- # ensure early availability for e.g. emmc phys
|
||||
- instmods "=drivers/phy"
|
||||
-
|
||||
- instmods "=drivers/pci/host"
|
||||
-
|
||||
- instmods \
|
||||
+ hostonly='' instmods \
|
||||
+ xhci-hcd xhci-pci xhci-plat-hcd \
|
||||
"=drivers/hid" \
|
||||
+ "=drivers/tty/serial" \
|
||||
"=drivers/input/serio" \
|
||||
- "=drivers/input/keyboard"
|
||||
+ "=drivers/input/keyboard" \
|
||||
+ "=drivers/usb/storage" \
|
||||
+ "=drivers/pci/host" \
|
||||
+ ${NULL}
|
||||
|
||||
- instmods yenta_socket scsi_dh_rdac scsi_dh_emc scsi_dh_alua \
|
||||
- atkbd i8042 usbhid firewire-ohci pcmcia hv-vmbus
|
||||
+ instmods \
|
||||
+ yenta_socket scsi_dh_rdac scsi_dh_emc scsi_dh_alua \
|
||||
+ atkbd i8042 usbhid firewire-ohci pcmcia hv-vmbus \
|
||||
+ virtio virtio_blk virtio_ring virtio_pci virtio_scsi \
|
||||
+ "=drivers/pcmcia" =ide nvme
|
||||
|
||||
- if [[ "$(uname -p)" == arm* ]]; then
|
||||
- # arm specific modules
|
||||
+ if [[ "$(uname -m)" == arm* || "$(uname -m)" == aarch64 ]]; then
|
||||
+ # arm/aarch64 specific modules
|
||||
+ _blockfuncs+='|dw_mc_probe|dw_mci_pltfm_register'
|
||||
instmods \
|
||||
+ "=drivers/clk" \
|
||||
+ "=drivers/dma" \
|
||||
+ "=drivers/extcon" \
|
||||
+ "=drivers/hwspinlock" \
|
||||
"=drivers/i2c/busses" \
|
||||
+ "=drivers/mfd" \
|
||||
+ "=drivers/mmc/core" \
|
||||
+ "=drivers/phy" \
|
||||
+ "=drivers/power" \
|
||||
"=drivers/regulator" \
|
||||
+ "=drivers/rpmsg" \
|
||||
"=drivers/rtc" \
|
||||
+ "=drivers/soc" \
|
||||
+ "=drivers/usb/chipidea" \
|
||||
+ "=drivers/usb/dwc2" \
|
||||
+ "=drivers/usb/dwc3" \
|
||||
"=drivers/usb/host" \
|
||||
+ "=drivers/usb/misc" \
|
||||
+ "=drivers/usb/musb" \
|
||||
"=drivers/usb/phy" \
|
||||
+ "=drivers/scsi/hisi_sas" \
|
||||
${NULL}
|
||||
fi
|
||||
|
||||
- # install virtual machine support
|
||||
- instmods virtio virtio_blk virtio_ring virtio_pci virtio_scsi \
|
||||
- "=drivers/pcmcia" =ide "=drivers/usb/storage"
|
||||
-
|
||||
find_kernel_modules | block_module_filter | instmods
|
||||
|
||||
# modules that will fail block_module_filter because their implementation
|
||||
--
|
||||
2.13.6
|
||||
|
144
0563-40network-collapse-arping-and-dhcp-calls-into-wicked.patch
Normal file
144
0563-40network-collapse-arping-and-dhcp-calls-into-wicked.patch
Normal file
@ -0,0 +1,144 @@
|
||||
From abb2c4123658ec5e9f7b21d92c80e1af7e879180 Mon Sep 17 00:00:00 2001
|
||||
From: Daniel Molkentin <dmolkentin@suse.com>
|
||||
Date: Fri, 16 Feb 2018 11:51:18 +0100
|
||||
Subject: [PATCH] 40network: collapse arping and dhcp calls into wicked binary
|
||||
|
||||
References: bsc#1078245
|
||||
---
|
||||
modules.d/40network/dhclient-script.sh | 6 ++----
|
||||
modules.d/40network/ifup.sh | 25 ++++++++++++++++---------
|
||||
modules.d/40network/module-setup.sh | 8 +++-----
|
||||
modules.d/40network/net-lib.sh | 14 +++++++++-----
|
||||
4 files changed, 30 insertions(+), 23 deletions(-)
|
||||
|
||||
diff --git a/modules.d/40network/dhclient-script.sh b/modules.d/40network/dhclient-script.sh
|
||||
index f8a558c7..fb9f5858 100755
|
||||
--- a/modules.d/40network/dhclient-script.sh
|
||||
+++ b/modules.d/40network/dhclient-script.sh
|
||||
@@ -113,11 +113,9 @@ case $reason in
|
||||
if [ -f /sys/class/net/$netif/device/layer2 ]; then
|
||||
read layer2 < /sys/class/net/$netif/device/layer2
|
||||
fi
|
||||
- if ! which arping > /dev/null 2>&1 ; then
|
||||
- layer2=0
|
||||
- fi
|
||||
if [ "$layer2" != "0" ]; then
|
||||
- if ! arping -f -q -D -c 2 -I $netif $new_ip_address ; then
|
||||
+ wicked arp verify $netif $new_ip_address 2>/dev/null
|
||||
+ if [ $? -eq 4 ]; then
|
||||
warn "Duplicate address detected for $new_ip_address while doing dhcp. retrying"
|
||||
exit 1
|
||||
fi
|
||||
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
|
||||
index 9775084e..a51b6a30 100755
|
||||
--- a/modules.d/40network/ifup.sh
|
||||
+++ b/modules.d/40network/ifup.sh
|
||||
@@ -214,9 +214,9 @@ do_dhcp() {
|
||||
else
|
||||
ipv6_mode="managed"
|
||||
fi
|
||||
- dhclient="wickedd-dhcp6 --test --test-mode $ipv6_mode"
|
||||
+ dhclient="wicked test dhcp6"
|
||||
else
|
||||
- dhclient="wickedd-dhcp4 --test"
|
||||
+ dhclient="wicked test dhcp4"
|
||||
fi
|
||||
|
||||
if ! linkup $netif; then
|
||||
@@ -229,9 +229,8 @@ do_dhcp() {
|
||||
[ -n "$mtu" ] && ip $1 link set mtu $mtu dev $netif
|
||||
fi
|
||||
|
||||
- $dhclient --test-format leaseinfo --test-output /tmp/leaseinfo.${netif}.dhcp.ipv${1:1:1} --test-request - $netif << EOF
|
||||
-<request type="lease"/>
|
||||
-EOF
|
||||
+ echo '<request type="lease"/>' > /tmp/request.${netif}.dhcp.ipv${1:1:1}
|
||||
+ $dhclient --format leaseinfo --output /tmp/leaseinfo.${netif}.dhcp.ipv${1:1:1} --request /tmp/request.${netif}.dhcp.ipv${1:1:1} $netif
|
||||
dhcp_apply $1 || return $?
|
||||
|
||||
if [ "$1" = "-6" ] ; then
|
||||
@@ -329,10 +328,18 @@ if strglobin $ip '*:*:*'; then
|
||||
wait_for_ipv6_dad $netif
|
||||
[ "$gw" = "::" ] && gw=""
|
||||
else
|
||||
- if which arping > /dev/null 2>&1 -a ! arping -f -q -D -c 2 -I $netif $ip; then
|
||||
- warn "Duplicate address detected for $ip for interface $netif."
|
||||
- return 1
|
||||
- fi
|
||||
+ wicked arp verify --quiet $netif $ip 2>/dev/null
|
||||
+ case "$?" in
|
||||
+ 1)
|
||||
+ info "$netif does not support ARP, cannot attempt to resolve $dest."
|
||||
+ ;;
|
||||
+ 4)
|
||||
+ warn "Duplicate address detected for $ip for interface $netif."
|
||||
+ return 1
|
||||
+ ;;
|
||||
+ *)
|
||||
+ ;;
|
||||
+ esac
|
||||
# Assume /24 prefix for IPv4
|
||||
[ -z "$prefix" ] && prefix=24
|
||||
ip addr add $ip/$prefix ${srv:+peer $srv} brd + dev $netif
|
||||
diff --git a/modules.d/40network/module-setup.sh b/modules.d/40network/module-setup.sh
|
||||
index 2dd3630c..023400ac 100755
|
||||
--- a/modules.d/40network/module-setup.sh
|
||||
+++ b/modules.d/40network/module-setup.sh
|
||||
@@ -1,13 +1,12 @@
|
||||
#!/bin/bash
|
||||
|
||||
-WICKEDD_DHCP_PATH="/usr/lib/wicked/bin"
|
||||
WICKED_EXT_PATH="/etc/wicked/extensions"
|
||||
|
||||
# called by dracut
|
||||
check() {
|
||||
local _program
|
||||
|
||||
- require_binaries ip $WICKEDD_DHCP_PATH/wickedd-dhcp4 $WICKEDD_DHCP_PATH/wickedd-dhcp6 || return 1
|
||||
+ require_binaries ip wicked || return 1
|
||||
|
||||
return 255
|
||||
}
|
||||
@@ -34,11 +33,10 @@ installkernel() {
|
||||
install() {
|
||||
local _arch _i _dir
|
||||
inst_multiple ip hostname sed
|
||||
- inst_multiple -o arping ping ping6
|
||||
+ inst_multiple ping ping6
|
||||
inst_multiple -o teamd teamdctl teamnl
|
||||
+ inst_multiple wicked
|
||||
inst_simple /etc/libnl/classid
|
||||
- inst_simple "$WICKEDD_DHCP_PATH/wickedd-dhcp4" "/usr/sbin/wickedd-dhcp4"
|
||||
- inst_simple "$WICKEDD_DHCP_PATH/wickedd-dhcp6" "/usr/sbin/wickedd-dhcp6"
|
||||
inst_libdir_file "libwicked*.so.*"
|
||||
inst_libdir_file "libdbus-1.so.*"
|
||||
inst_script "$moddir/ifup.sh" "/sbin/ifup"
|
||||
diff --git a/modules.d/40network/net-lib.sh b/modules.d/40network/net-lib.sh
|
||||
index c8ab84d0..b491f8e1 100755
|
||||
--- a/modules.d/40network/net-lib.sh
|
||||
+++ b/modules.d/40network/net-lib.sh
|
||||
@@ -199,12 +199,16 @@ setup_net() {
|
||||
read layer2 < /sys/class/net/$netif/device/layer2
|
||||
fi
|
||||
|
||||
- if ! which arping > /dev/null 2>&1 ; then
|
||||
- layer2=0
|
||||
- fi
|
||||
-
|
||||
if [ "$layer2" != "0" ] && [ -n "$dest" ] && ! strstr "$dest" ":"; then
|
||||
- arping -q -f -w 60 -I $netif $dest || info "Resolving $dest via ARP on $netif failed"
|
||||
+ wicked arp ping --interval 3000 --replies 1 --timeout 60000 --quiet $netif $dest 2>/dev/null
|
||||
+ case "$?" in
|
||||
+ 0)
|
||||
+ # Everything is ok
|
||||
+ ;;
|
||||
+ *)
|
||||
+ info "Resolving $dest via ARP on $netif failed"
|
||||
+ ;;
|
||||
+ esac
|
||||
fi
|
||||
unset layer2
|
||||
|
||||
--
|
||||
2.13.6
|
||||
|
28
0564-40network-Always-set-the-gw-variable.patch
Normal file
28
0564-40network-Always-set-the-gw-variable.patch
Normal file
@ -0,0 +1,28 @@
|
||||
From 25c8b7f654a906d9829e273578b02d5e6a4c2b0c Mon Sep 17 00:00:00 2001
|
||||
From: Daniel Molkentin <dmolkentin@suse.com>
|
||||
Date: Thu, 15 Mar 2018 19:01:58 +0100
|
||||
Subject: [PATCH] 40network: Always set the gw variable
|
||||
|
||||
$gw was not set in case of dhcp. This resulted in some codepathes,
|
||||
including vital checks, not being executed with wicked.
|
||||
|
||||
Reference: bsc#1085614
|
||||
---
|
||||
modules.d/40network/ifup.sh | 1 +
|
||||
1 file changed, 1 insertion(+)
|
||||
|
||||
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
|
||||
index a51b6a30..2d93cebd 100755
|
||||
--- a/modules.d/40network/ifup.sh
|
||||
+++ b/modules.d/40network/ifup.sh
|
||||
@@ -123,6 +123,7 @@ dhcp_apply() {
|
||||
# Assign provided routers
|
||||
local g
|
||||
if [ -n "${GATEWAYS}" ]; then
|
||||
+ gw="${GATEWAYS%% *}"
|
||||
for g in ${GATEWAYS}; do
|
||||
ip $1 route add default via "$g" dev "$INTERFACE" && break
|
||||
done
|
||||
--
|
||||
2.13.6
|
||||
|
@ -0,0 +1,27 @@
|
||||
From 99a2f22df36de96f6da808b9720a400980729b35 Mon Sep 17 00:00:00 2001
|
||||
From: Daniel Molkentin <dmolkentin@suse.com>
|
||||
Date: Fri, 16 Mar 2018 15:17:41 +0100
|
||||
Subject: [PATCH] 90kernel-modules: Include Intel Volume Management Device
|
||||
support
|
||||
|
||||
Reference: bsc#1079924
|
||||
---
|
||||
modules.d/90kernel-modules/module-setup.sh | 2 +-
|
||||
1 file changed, 1 insertion(+), 1 deletion(-)
|
||||
|
||||
diff --git a/modules.d/90kernel-modules/module-setup.sh b/modules.d/90kernel-modules/module-setup.sh
|
||||
index 37cc76f3..1eff6f52 100755
|
||||
--- a/modules.d/90kernel-modules/module-setup.sh
|
||||
+++ b/modules.d/90kernel-modules/module-setup.sh
|
||||
@@ -55,7 +55,7 @@ installkernel() {
|
||||
yenta_socket scsi_dh_rdac scsi_dh_emc scsi_dh_alua \
|
||||
atkbd i8042 usbhid firewire-ohci pcmcia hv-vmbus \
|
||||
virtio virtio_blk virtio_ring virtio_pci virtio_scsi \
|
||||
- "=drivers/pcmcia" =ide nvme
|
||||
+ "=drivers/pcmcia" =ide nvme vmd
|
||||
|
||||
if [[ "$(uname -m)" == arm* || "$(uname -m)" == aarch64 ]]; then
|
||||
# arm/aarch64 specific modules
|
||||
--
|
||||
2.13.6
|
||||
|
@ -1,8 +1,53 @@
|
||||
-------------------------------------------------------------------
|
||||
Mon Mar 19 11:39:10 CET 2018 - kukuk@suse.de
|
||||
|
||||
- Use %license instead of %doc [bsc#1082318]
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Fri Mar 16 10:53:32 UTC 2018 - daniel.molkentin@suse.com
|
||||
|
||||
- Instead of using arping, use wicked's own implementation (bsc#1078245)
|
||||
Follow-up patch to "disable arping", requires wicked 0.6.46.
|
||||
* adds 0563-40network-collapse-arping-and-dhcp-calls-into-wicked.patch
|
||||
|
||||
- Wicked: Properly add set gateway variable when using dhcp (bsc#1085614)
|
||||
* adds 0564-40network-Always-set-the-gw-variable.patch
|
||||
|
||||
- Allow booting from block devices using intel vmd (bsc#1079924)
|
||||
* adds 0565-90kernel-modules-Include-Intel-Volume-Management-Dev.patch
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Tue Mar 13 16:51:09 UTC 2018 - daniel.molkentin@suse.com
|
||||
|
||||
- Enable aarch64 and adds critical drivers of ARM platform (bsc#1084272)
|
||||
* adds 0562-Adjust-driver-list-to-modern-kernels.patch
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Fri Mar 9 15:06:59 UTC 2018 - daniel.molkentin@suse.com
|
||||
|
||||
- 95iscsi: Add the qedi driver to driver list for iscsi boot
|
||||
* adds 0561-Add-the-qedi-driver-to-driver-list-for-iscsi-boot.patch
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Wed Mar 7 15:47:48 UTC 2018 - lpechacek@suse.com
|
||||
|
||||
- purge-kernels: Handle SLE 15 kernel live patches (bsc#108437)
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Thu Mar 1 10:45:26 UTC 2018 - daniel.molkentin@suse.com
|
||||
|
||||
- 90kernel-modules: Ensure PCI host modules are included (boo#1079924)
|
||||
* adds 0560-90kernel-modules-Ensure-PCI-host-modules-are-include.patch
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Wed Feb 28 14:33:57 UTC 2018 - daniel.molkentin@suse.com
|
||||
|
||||
- 40network: Add wickedd duid.xml and iaid.xml if available
|
||||
(bsc#1022872, bsc#1082832)
|
||||
* adds 0559-Add-wickedd-duid.xml-and-iaid.xml-if-available.patch
|
||||
|
||||
- 95qeth_rules: Fix file permissions (FATE#323440)
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Fri Feb 23 13:04:52 UTC 2018 - daniel.molkentin@suse.com
|
||||
|
||||
|
31
dracut.spec
31
dracut.spec
@ -24,7 +24,7 @@ Name: dracut
|
||||
Version: 044.1
|
||||
Release: 0
|
||||
Summary: Initramfs generator using udev
|
||||
License: GPL-2.0+ and LGPL-2.1+
|
||||
License: GPL-2.0-or-later AND LGPL-2.1-or-later
|
||||
Group: System/Base
|
||||
Url: https://dracut.wiki.kernel.org/
|
||||
Source0: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut-%{_pkg_version}.tar.xz
|
||||
@ -372,6 +372,20 @@ Patch556: 0556-95qeth_rules-Add-new-module-to-copy-qeth-rules.patch
|
||||
Patch557: 0557-40network-make-arping-optional.patch
|
||||
# Applied upstream as 285495814becd9310bab3ab268a84ff54f43ed35
|
||||
Patch558: 0558-40network-remove-brctl-dependency.patch
|
||||
# Patch specific to SUSE, not upstream
|
||||
Patch559: 0559-Add-wickedd-duid.xml-and-iaid.xml-if-available.patch
|
||||
# Patch submitted to upstream as c68c28af2f140522e1dfae98ad62c56b01cbf175
|
||||
Patch560: 0560-90kernel-modules-Ensure-PCI-host-modules-are-include.patch
|
||||
# Patch submitted to upstream as 446c3bb2e25238f499bec875bbe4978a31d4e3d6
|
||||
Patch561: 0561-Add-the-qedi-driver-to-driver-list-for-iscsi-boot.patch
|
||||
# Patches taken from upstream (squashed)
|
||||
Patch562: 0562-Adjust-driver-list-to-modern-kernels.patch
|
||||
# Patch specific to SUSE, not upstream
|
||||
Patch563: 0563-40network-collapse-arping-and-dhcp-calls-into-wicked.patch
|
||||
# Patch specific to SUSE, not upstream
|
||||
Patch564: 0564-40network-Always-set-the-gw-variable.patch
|
||||
# Patch submitted to upstream as 774090d2223cc58db259f5670bde17bd37b286ea
|
||||
Patch565: 0565-90kernel-modules-Include-Intel-Volume-Management-Dev.patch
|
||||
|
||||
BuildRequires: asciidoc
|
||||
BuildRequires: bash
|
||||
@ -650,8 +664,16 @@ chmod a+x modules.d/91zipl/install_zipl_cmdline.sh
|
||||
%patch554 -p1
|
||||
%patch555 -p1
|
||||
%patch556 -p1
|
||||
chmod a+x modules.d/95qeth_rules/module-setup.sh
|
||||
%patch557 -p1
|
||||
%patch558 -p1
|
||||
%patch559 -p1
|
||||
%patch560 -p1
|
||||
%patch561 -p1
|
||||
%patch562 -p1
|
||||
%patch563 -p1
|
||||
%patch564 -p1
|
||||
%patch565 -p1
|
||||
|
||||
%build
|
||||
%configure\
|
||||
@ -753,14 +775,14 @@ ln -s %{dracutlibdir}/modules.d/45ifcfg/write-ifcfg-redhat.sh %{buildroot}/%{dra
|
||||
|
||||
%files fips
|
||||
%defattr(-,root,root,0755)
|
||||
%doc COPYING
|
||||
%license COPYING
|
||||
%config %{_sysconfdir}/dracut.conf.d/40-fips.conf
|
||||
%{dracutlibdir}/modules.d/01fips
|
||||
%{dracutlibdir}/modules.d/02fips-aesni
|
||||
|
||||
%files ima
|
||||
%defattr(-,root,root,0755)
|
||||
%doc COPYING
|
||||
%license COPYING
|
||||
%config %{_sysconfdir}/dracut.conf.d/40-ima.conf
|
||||
%{dracutlibdir}/modules.d/96securityfs
|
||||
%{dracutlibdir}/modules.d/97masterkey
|
||||
@ -776,7 +798,8 @@ ln -s %{dracutlibdir}/modules.d/45ifcfg/write-ifcfg-redhat.sh %{buildroot}/%{dra
|
||||
|
||||
%files
|
||||
%defattr(-,root,root,0755)
|
||||
%doc README HACKING TODO COPYING AUTHORS NEWS dracut.html dracut.png dracut.svg
|
||||
%license COPYING
|
||||
%doc README HACKING TODO AUTHORS NEWS dracut.html dracut.png dracut.svg
|
||||
%{_bindir}/dracut
|
||||
%{_bindir}/lsinitrd
|
||||
/sbin/purge-kernels
|
||||
|
Loading…
x
Reference in New Issue
Block a user